from .models_core import Timeseries
from .models_role import TimeseriesRole, timeseries_timeseries_roles_table
from .models_annotation import TimeseriesAnnotation, timeseries_timeseries_annotations_table
from .models_programme import TimeseriesProgramme, timeseries_timeseries_programmes_table
from toardb.base import Base

from sqlalchemy import Table, Column, Integer, String
from sqlalchemy.ext.declarative import declarative_base

# controlled vocabulary

# Data Access Rights
DA_enum = Table("da_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )
 
# Sampling Frequencies
SF_enum = Table("sf_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

# Aggregation Types
AT_enum = Table("at_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

# Data Sources
DS_enum = Table("ds_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

